const storage = {
    get: (key) => {
        return JSON.parse(window.localStorage.getItem(key));
    },
    set: (key, value) => {
        window.localStorage.setItem(key, JSON.stringify(value));

        return storage.get(key);
    },
    update: (key, json) => {
        let updated = Object.assign(session.get(key) || {}, json);

        window.localStorage.setItem(key, JSON.stringify(updated));

        return storage.get(key);
    },
    remove: function(key) {
        return window.localStorage.removeItem(key);
    },
    clear: function() {
        return window.localStorage.clear();
    }
};

export default storage;